Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Worker_Task Class Reference

Base Worker Task. More...

`#include <Worker_Task.h>`

Inheritance diagram for TAO_Notify_Worker_Task:

[legend]
Collaboration diagram for TAO_Notify_Worker_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Worker_Task (void)
| Constuctor.
virtual void | update_qos_properties (const TAO_Notify_QoSProperties &qos_properties)
| Update QoS Properties.
virtual void | execute (TAO_Notify_Method_Request_No_Copy &method_request ACE_ENV_ARG_DECL)=0
virtual void | shutdown (void)=0
| Shutdown task.
virtual TAO_Notify_Timer * | timer (void)=0
| The object used by clients to register timers.
virtual TAO_Notify_Buffering_Strategy * | buffering_strategy (void)=0
## Protected Methods
virtual | ~TAO_Notify_Worker_Task ()
| Destructor.

## Detailed Description

Base Worker Task.

Memory Management : The Worker Task should be allocated on the heap and the <shutdown> method should be called to release memory.

## Constructor & Destructor Documentation

TAO_Notify_Worker_Task::TAO_Notify_Worker_Task | ( | void |  | ) |

| Constuctor.

TAO_Notify_Worker_Task::~TAO_Notify_Worker_Task | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_Notify_Buffering_Strategy* TAO_Notify_Worker_Task::buffering_strategy | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_Notify_Reactive_Task, and TAO_Notify_ThreadPool_Task.

virtual void TAO_Notify_Worker_Task::execute | ( | TAO_Notify_Method_Request_No_Copy &method_request | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| = Public method to be implemented by subclasses. Exec the request. Implemented in TAO_Notify_Reactive_Task, and TAO_Notify_ThreadPool_Task.

virtual void TAO_Notify_Worker_Task::shutdown | ( | void |  | ) | `[pure virtual]`

| Shutdown task. Implemented in TAO_Notify_Reactive_Task, and TAO_Notify_ThreadPool_Task.

virtual TAO_Notify_Timer* TAO_Notify_Worker_Task::timer | ( | void |  | ) | `[pure virtual]`

| The object used by clients to register timers. Implemented in TAO_Notify_Reactive_Task, and TAO_Notify_ThreadPool_Task.

void TAO_Notify_Worker_Task::update_qos_properties | ( | const TAO_Notify_QoSProperties & | qos_properties | ) | `[virtual]`

| Update QoS Properties. Reimplemented in TAO_Notify_ThreadPool_Task.

The documentation for this class was generated from the following files:

- Worker_Task.h
- Worker_Task.cpp